[arch-commits] Commit in ginac/trunk (PKGBUILD ginac.install)

Stéphane Gaudreault stephane at archlinux.org
Wed Jan 2 02:56:53 UTC 2013


    Date: Tuesday, January 1, 2013 @ 21:56:53
  Author: stephane
Revision: 174026

upgpkg: ginac 1.6.2-2

rebuild of old pkg, tidy-up PKGBUILD

Added:
  ginac/trunk/ginac.install
Modified:
  ginac/trunk/PKGBUILD

---------------+
 PKGBUILD      |   34 ++++++++++++++++++++++------------
 ginac.install |   20 ++++++++++++++++++++
 2 files changed, 42 insertions(+), 12 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2013-01-01 19:16:09 UTC (rev 174025)
+++ PKGBUILD	2013-01-02 02:56:53 UTC (rev 174026)
@@ -1,23 +1,33 @@
 # $Id$
-# Maintainer: Thomas Baechler <thomas at archlinux.org>
+# Maintainer: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Thomas Baechler <thomas at archlinux.org>
 
 pkgname=ginac
-pkgver=1.4.1
-pkgrel=1
-pkgdesc="set of libraries to allow the creation of integrated systems that embed symbolic manipulations"
+pkgver=1.6.2
+pkgrel=2
+pkgdesc="C++ library for symbolic calculations"
 arch=('i686' 'x86_64')
 url="http://www.ginac.de/"
 license=("GPL")
-depends=('cln>=1.2.0')
-makedepends=('transfig')
-source=(http://www.ginac.de/$pkgname-$pkgver.tar.bz2)
-md5sums=('37356db3fe520498f2857e3ed6daec82')
+depends=('cln')
+makedepends=('transfig' 'doxygen' 'texlive-bin')
+source=(http://www.ginac.de/${pkgname}-${pkgver}.tar.bz2)
+sha1sums=('c93913c4c543874b2ade4f0390030641be7e0c41')
 options=(!libtool)
+install=${pkgname}.install
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
-  make || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --disable-static
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
   make check
-  make DESTDIR=$startdir/pkg install
 }
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Added: ginac.install
===================================================================
--- ginac.install	                        (rev 0)
+++ ginac.install	2013-01-02 02:56:53 UTC (rev 174026)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(ginac.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+    usr/bin/install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    usr/bin/install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list